diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 0a06614458f0d9e33ec7a8b4d67534bcb8e373e7..e84cb3aaefa0fc4d5a022d73dfc22c01d9ea1adb 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -28,7 +28,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2022-07-23";
+  version = "2022-07-30";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index bf747766245078036dd4d9d16f747b4ee6386495..bb29a11f6468ec3101332f967e7862991cfb7160 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -1,75 +1,75 @@
 {
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-HGr2v8T94L2A+UHktkyNb69+wYULUTJsq79Ksp+oc1w="
+    "hash": "sha256-asb4wqowOkm9y/et3alGt7JNJBqJjnUC9oBXVvRN7vs="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-Qp5Qa4+AEYatPngRtABJ6aVX44ACL88k1IFPSqG8Iu8="
+    "hash": "sha256-CbnRU7bKqi0mEFHBoM/I/U8ToS5aV9G80MatXTnCMJI="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-Zd1NtRC+MXuiliCLt99RK1/KWio/rr1nyc6ZTdP6KMo="
+    "hash": "sha256-ROQuCjxm3ktMU+6OUE9mE9J5LSO0YuKZlVKfC1MhSuk="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-EbYLLQKXlQizOvqnMElnQD8brK5ItxL2GVWOkp0zDco="
+    "hash": "sha256-OxPHCRaX4bkiYh15/jZjJkudAmyarTUlBh1ctMqpbNY="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-KWlsQpvPe4cndkWUS+6NglA27F1HNv7vJVRCw+2yxJM="
+    "hash": "sha256-m8xpDRJRzfz5koEF7QmfF5WctvwMVlYbHZxbG+emi+g="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-6Zx8hof/59PGmRQfwvPy7DMU1HD39gFYfHOeJFEjQOo="
+    "hash": "sha256-Dkq/tO199jBdjIk98mZVB1Mccr6uZIC4JQ3PYnNHGjA="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-nnnTaRhx7Xj8z60wTwECU7EOnxdmwoto/WLiQEHlYvY="
+    "hash": "sha256-HU/LDaWADaKWKU6F7ATaaYR4HHfpl8a3/5APOGs3pSI="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-SpetkGBCOftNAG9+nEPQQ8E7czJ22ptqT/SoviunI5c="
+    "hash": "sha256-bmQnwTPxINJcsJcMxMDm5gIpZEMLPnhMsQTM9RcnX3c="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-e/uRxblL5oly18DegfG2l377KCGmac+w+HVRpAju+yA="
+    "hash": "sha256-hOThL7T8qQLRLvSIxtDNZimKkJ5syVN4jBQT8Vbff+w="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-g2CTH+xYQEKqmArgPKpsSKgJSuJOmt1eFuUtn5ohEFM="
+    "hash": "sha256-+6K2oLKmlos+XtfwGTRI0uTOzJCr/OSeBZa2fdF5R9o="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-yam/vuEmz/ddLPXEtZpCf3M1/BHiUyLEnphUVv2t9Pk="
+    "hash": "sha256-UxWwygZPpKxFF0IPffAEVeR/mQZWsZ92umJwYSJfWUI="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-S9jjSasZ7A/K3BMc34VwS9LzhAvZHwzaV4NrxvZZr+M="
+    "hash": "sha256-bNypq7sIb+qzBJrxisZKAHmwuF5jKSYGmj0TtsqoRpM="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-GlRBppo22D8D2gkk8aS/8TxzBtUZ1255vZRccG4X/eY="
+    "hash": "sha256-FJQWiT0pMQl4T2GwAhEr8KRuWDA/gXHIER1gUfa30tk="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
-    "hash": "sha256-/piMrB3I5JTiMJNAdbl9CGA7RoADr0sgGOXwHCQXcOQ="
+    "hash": "sha256-GcIgXMAmFM/YN8vdpABlravZi3XY3VBlaiPIQAVKW5c="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-mxQ27Qn8Y/jfv561Q60bL6cn8vi4gPVMXM7v3Uyeyg0="
+    "hash": "sha256-ZlN6j+sv3W9+UVFK+W6vmuppClcSVvCm6UClLUjfrjE="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-zwzDzdUiNfetW2yd26Hk9BjunZryc9W2plP3Nl+tMXY="
+    "hash": "sha256-p9D6hH7kNk9D/EQtKh3t8uk5fpQO8UwtyMQaUbBTpdg="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-tQVhqKFLs9fsfo/ADWxyHTmGztMTvtYW3G+KBGS/IZQ="
+    "hash": "sha256-8FyXSb5CdDnJffqsMELh8K1JNa8WK7CcphHA9YcfyT4="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-/D8GSvfph+Pzq6d50VP4/7zxa7vpkrUzl+3sNOA1Sc0="
+    "hash": "sha256-qbgl7XU0kvZr+KQoNdOhIP17g73gMgBkQRcZwAHDfmA="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -77,15 +77,15 @@     "hash": "sha256-M3+WQh7+duGMAhJAfPyKnUOHyYKBbaoUug5FNrwKA+Q="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-7VatFHymVlBTjLWXvkwI/a0q26S/IVOl1TbUIF6g/wM="
+    "hash": "sha256-flpuZnM+hEp4I85nFfjnYRV3YAmXvFony5GJSiI29/w="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-5Gs+AcGbOBWaVKH1pDd9aF5bZZA40QKSLHGKyj/4kvc="
+    "hash": "sha256-drBi8lx7y44Lqf1terXE7ho6DX8CPpwjIhIYMBiLHOU="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-oZCX5px6KNMJ/U8zsdAca9jS1BzarurjbHsEjPl+RbA="
+    "hash": "sha256-C4/yFJQObByd2Nfd0mphFhsf7osuPHdYSv3123ze+u8="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -101,7 +101,7 @@     "hash": "sha256-TOhQbJOufakqwvxgKPZfiIMlMMVJpQC/R8xKYhsJRUE="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
-    "hash": "sha256-xNia/qo051fi2X481DEo6wXgjSjS+eEdZfQANwGVdAg="
+    "hash": "sha256-dxcsMjWbkIsh8zBCTkzXuP8kzRGHFrNFJKiraXMJjpc="
   },
   "swe-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-rus_links.tsv.bz2",
@@ -109,7 +109,7 @@     "hash": "sha256-tSV9LH03hwS1H+ospMURbgFXt33TKSdH6g2rIF4jtMc="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-KKWgSZhO3M5Vj+aa9zAUvMsWKGLkwOInr05xZpOEJKE="
+    "hash": "sha256-p8xt/UQtBhY2s8fkVMyu/MkY7wrLkygZ9L6J5OngzTw="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
diff --git a/pkgs/misc/o/default.nix b/pkgs/misc/o/default.nix
index 981e37b0e29d56486c95908584ebcd4ee49ef074..f5c24da5233a307e17373a016f1d66c94bc4720f 100644
--- a/pkgs/misc/o/default.nix
+++ b/pkgs/misc/o/default.nix
@@ -1,24 +1,29 @@
-{ lib, buildGoModule, fetchFromGitHub, installShellFiles }:
+{ lib, buildGoModule, fetchFromGitHub, installShellFiles, makeWrapper, pkg-config, vte }:
 
 buildGoModule rec {
   pname = "o";
-  version = "2.53.0";
+  version = "2.55.0";
 
   src = fetchFromGitHub {
     owner = "xyproto";
-    repo = pname;
+    repo = "o";
     rev = "v${version}";
-    hash = "sha256-3tr0q/0xw/NHvicrY0ZB+7A1isSDVZhcuFpzFadW7Js=";
+    hash = "sha256-AWRR/plPgOV6MoZnZYpQpeG2WLrzZNckDtK6BrEehtc=";
   };
 
   vendorSha256 = null;
 
-  nativeBuildInputs = [ installShellFiles ];
+  nativeBuildInputs = [ installShellFiles makeWrapper pkg-config ];
+
+  buildInputs = [ vte ];
 
   preBuild = "cd v2";
 
   postInstall = ''
-    installManPage ../o.1
+    cd ..
+    installManPage o.1
+    make install-gui PREFIX=$out
+    wrapProgram $out/bin/ko --prefix PATH : $out/bin
   '';
 
   meta = with lib; {