diff --git a/modules/home-manager/programs/gpxsee.nix b/modules/home-manager/programs/gpxsee.nix
index 8536ed06616eacaef08ed5c1dae2655420bf68d4..2d9b4299d3e8439a23c1538ecc67d6490654cc10 100644
--- a/modules/home-manager/programs/gpxsee.nix
+++ b/modules/home-manager/programs/gpxsee.nix
@@ -51,8 +51,8 @@
     poiPackages = mkOption {
       default = [ ];
       example = [
-        "pkgs.nur.repos.sikmir.gpxsee-poi.geocachingSu"
-        "pkgs.nur.repos.sikmir.gpxsee-poi.westra"
+        "pkgs.nur.repos.sikmir.poi.geocachingSu"
+        "pkgs.nur.repos.sikmir.poi.westra"
       ];
       description = "POI packages to install.";
       type = types.listOf types.package;
diff --git a/nix/sources.json b/nix/sources.json
index bfbef9dac05071b59b63d0fe92e3985425159a6a..3ba6ac882579643e31c6f73d4c19cc8df727bff8 100644
--- a/nix/sources.json
+++ b/nix/sources.json
@@ -170,15 +170,15 @@     },
     "embox": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-12-04T09:04:01Z",
+        "date": "2020-12-09T16:12:15Z",
         "description": "Modular and configurable OS for embedded applications",
         "homepage": "http://embox.github.io",
         "owner": "embox",
         "repo": "embox",
-        "rev": "3fad206aca1fda5b17a30f9a647edb351560d4d0",
-        "sha256": "1d4d5a8ngag5sm7v3ckbq6h6qilvn7400nx429k26w2754rnhnzz",
+        "rev": "ebb33b9eac8ed5e0ec53874b5dba30cfa1731a79",
+        "sha256": "14a4019q5mjv2vwgiqjvawabpi0kmf6fa94dz0bxmwwpkm2y02vi",
         "type": "tarball",
-        "url": "https://github.com/embox/embox/archive/3fad206aca1fda5b17a30f9a647edb351560d4d0.tar.gz",
+        "url": "https://github.com/embox/embox/archive/ebb33b9eac8ed5e0ec53874b5dba30cfa1731a79.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "foma": {
@@ -212,15 +212,15 @@     },
     "gef": {
         "branch": "dev",
         "builtin": false,
-        "date": "2020-11-25T04:24:40Z",
+        "date": "2020-12-09T00:45:30Z",
         "description": "GEF - GDB Enhanced Features for exploit devs & reversers",
         "homepage": "http://gef.rtfd.io",
         "owner": "hugsy",
         "repo": "gef",
-        "rev": "7d2ae1d61df5bcaf6d29e3b5fad8f76e6f649728",
-        "sha256": "01f1a9ckf2y97avkbsacw0nzlcd1hmv0d3rvzbklp1fq6j0zvhap",
+        "rev": "8ad352252bdbabdcb08719d5c19de0c05b471e09",
+        "sha256": "0rmzz39wm04s4nzkr2r20jl48wfjhvwf217qyp492wnsigk0pkpi",
         "type": "tarball",
-        "url": "https://github.com/hugsy/gef/archive/7d2ae1d61df5bcaf6d29e3b5fad8f76e6f649728.tar.gz",
+        "url": "https://github.com/hugsy/gef/archive/8ad352252bdbabdcb08719d5c19de0c05b471e09.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "geminid": {
@@ -377,29 +377,29 @@     "gpxsee": {
         "branch": "master",
         "builtin": false,
         "changelog": "https://build.opensuse.org/package/view_file/home:tumic:GPXSee/gpxsee/gpxsee.changes",
-        "date": "2020-12-06T18:17:09Z",
+        "date": "2020-12-09T22:07:05Z",
         "description": "GPS log file viewer and analyzer",
         "homepage": "https://www.gpxsee.org",
         "owner": "tumic0",
         "repo": "GPXSee",
-        "rev": "10e1b5c4fbb4ad23884ee465af30096e0700f613",
-        "sha256": "0j15fnkfiwx54knijxs4nacd9r0hz6fx22zkcf9j778z41a71l8d",
+        "rev": "743a937f41be324e320b54ebcdaf2c0e96732d3d",
+        "sha256": "0ny0yn4s9qsf8yd0bj4hpil2f5mjbhhzna05sp7sxxq4sykp59hg",
         "type": "tarball",
-        "url": "https://github.com/tumic0/GPXSee/archive/10e1b5c4fbb4ad23884ee465af30096e0700f613.tar.gz",
+        "url": "https://github.com/tumic0/GPXSee/archive/743a937f41be324e320b54ebcdaf2c0e96732d3d.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "gpxsee-maps": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-10-30T19:13:19Z",
+        "date": "2020-12-09T22:36:13Z",
         "description": "GPXSee maps",
         "homepage": "https://tumic0.github.io/GPXSee-maps",
         "owner": "tumic0",
         "repo": "GPXSee-maps",
-        "rev": "506453dc58699893e3347be2e7287599d5ec1244",
-        "sha256": "0yw25qmbkdkxs0qs23s4avh5l6i9bhqb8d0hya1b4rlw0bhaznbv",
+        "rev": "4abfac031497a57d2132623517a5289017fdc9ac",
+        "sha256": "1lsak0ylvb9hd728qy3a0lb0jxbhkxm8pxc2fzz73r27zpijid7v",
         "type": "tarball",
-        "url": "https://github.com/tumic0/GPXSee-maps/archive/506453dc58699893e3347be2e7287599d5ec1244.tar.gz",
+        "url": "https://github.com/tumic0/GPXSee-maps/archive/4abfac031497a57d2132623517a5289017fdc9ac.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "gpxtools": {
@@ -475,15 +475,15 @@     },
     "hfst": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-12-04T11:33:46Z",
+        "date": "2020-12-09T20:59:25Z",
         "description": "Helsinki Finite-State Technology (library and application suite)",
         "homepage": "https://hfst.github.io",
         "owner": "hfst",
         "repo": "hfst",
-        "rev": "ed49cfdeb25b835c995e4f0229436989175457ec",
-        "sha256": "1ljrrqms2r5gnr41lyjcl4c8k2gzh0w1nch42z6klrplmw1ygp81",
+        "rev": "94b48cb563bbde99691679a755f11030d6a52b4c",
+        "sha256": "03k0fh3spnbkr015bsb1hwapr4w7hvbw89d5a55786mk5mmqxp9w",
         "type": "tarball",
-        "url": "https://github.com/hfst/hfst/archive/ed49cfdeb25b835c995e4f0229436989175457ec.tar.gz",
+        "url": "https://github.com/hfst/hfst/archive/94b48cb563bbde99691679a755f11030d6a52b4c.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "how-to-use-pvs-studio-free": {
diff --git a/pkgs/data/misc/gpxsee-poi/default.nix b/pkgs/data/misc/poi/default.nix
rename from pkgs/data/misc/gpxsee-poi/default.nix
rename to pkgs/data/misc/poi/default.nix
index 349dcd206bebac91aee31efbcf22c4ca349754b7..8b956d5d0c091aff682c1873ac4576bb9ffb6aa1 100644
--- a/pkgs/data/misc/gpxsee-poi/default.nix
+++ b/pkgs/data/misc/poi/default.nix
@@ -2,9 +2,9 @@ { lib, fetchurl, gzip, jq }:
 
 {
   geocachingSu = fetchurl {
-    name = "geocaching_su-2020-11-29";
+    name = "geocaching_su-2020-12-09";
     url = "https://nakarte.me/geocachingSu/geocaching_su2.json";
-    sha256 = "15rmw6ajlnybrm55vrbfg1xg76ya42465nkikhy40bivy98w5zm2";
+    sha256 = "1a01xgbffi54d9gm2nvvrhmcssndysjdxr76zdcx3jy03a12cbrr";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = ''
@@ -61,9 +61,9 @@     };
   };
 
   westra = fetchurl {
-    name = "westra-2020-11-25";
+    name = "westra-2020-12-09";
     url = "https://nakarte.me/westraPasses/westra_passes.json";
-    sha256 = "0si4cdiiayqlk9cxv6m4a03fwyfj7gf20p14vq8yavg89daamiad";
+    sha256 = "1hggcsdlkzbxydm1rrmda510wdp4a2jmb8711bka712ym9pk34vx";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = ''
diff --git a/pkgs/default.nix b/pkgs/default.nix
index f4ba0de5beb81007e5a5432445f8d79a59540a4a..6f00d6e0b8f6c166914e9f7b49003396c13c6eb2 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -81,8 +81,8 @@     slazav-podm-bin = callPackage ./data/maps/slazav/podm-bin.nix { };
     usa-osm-topo-routable = callPackage ./data/maps/usa-osm-topo-routable { };
 
     gadm = callPackage ./data/misc/gadm { };
-    gpxsee-poi = callPackage ./data/misc/gpxsee-poi { };
     osm-extracts = callPackage ./data/misc/osm-extracts { };
+    poi = callPackage ./data/misc/poi { };
     routinodb = callPackage ./data/misc/routinodb { };
 
     goldendict-arc-dark-theme =