diff --git a/flake.lock b/flake.lock
index 948bffc0ffa5ee8f8ebe6c22e9d066e9e3a88f26..525bd5901bbd3605e49054b616a40570fd857d3b 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1734435836,
-        "narHash": "sha256-kMBQ5PRiFLagltK0sH+08aiNt3zGERC2297iB6vrvlU=",
+        "lastModified": 1735268880,
+        "narHash": "sha256-7QEFnKkzD13SPxs+UFR5bUFN2fRw+GlL0am72ZjNre4=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "4989a246d7a390a859852baddb1013f825435cee",
+        "rev": "7cc0bff31a3a705d3ac4fdceb030a17239412210",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/darwin/finch/default.nix b/pkgs/darwin/finch/default.nix
index 021572c92889ce2334712f7d8a62462ed92352f7..41b952f212711814c75a0251cff36186d8fcc68c 100644
--- a/pkgs/darwin/finch/default.nix
+++ b/pkgs/darwin/finch/default.nix
@@ -7,17 +7,17 @@ }:
 
 buildGoModule rec {
   pname = "finch";
-  version = "1.4.3";
+  version = "1.5.0";
 
   src = fetchFromGitHub {
     owner = "runfinch";
     repo = "finch";
     tag = "v${version}";
-    hash = "sha256-6W5FVDPkW0Ei0q+biXyfPKGedLcVovWxlDyvG5BYfg0=";
+    hash = "sha256-EVFL1qJyCNnRGqhqA3OFf92+BlpkbQbBVp9XqSancbI=";
     fetchSubmodules = true;
   };
 
-  vendorHash = "sha256-CBeD9p9nzoGTGYnFnrz8s/wx6SSyXN5KfunD/IdcnNA=";
+  vendorHash = "sha256-bZzyArN49Cge4ChMiAPlrYOdsfzrBrQorwXlK3a9lfU=";
 
   subPackages = [ "cmd/finch" ];
 
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 4edfd2a9ced9dadfe7941f5021386dcf80d05991..ac20944ce0a209ca00dfcd3d19e9b3ee90d829e4 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -45,7 +45,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2024-12-21";
+  version = "2024-12-28";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index cda46a885b6c2202109c866c8000f5ab7b5d78b2..3e0882ebe7a814825074daa0b90acf36348c9da2 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -1,39 +1,39 @@
 {
   "bel_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel_sentences_detailed.tsv.bz2",
-    "hash": "sha256-3QmqxGdd07CFZcvkI7zugm+IlnvcYJVZsUumRvHVBa4="
+    "hash": "sha256-lC+9/ZI3iwzOOFPzt3MHYTaytk090xa8LP73/1K3YPU="
   },
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-3RLfS4MbzvCWi6tpiCZiU41lheNJGqyRQFbH8Itph40="
+    "hash": "sha256-6+5D6zHEN78HP8dVgSeqfoXZKnR72GNvMtYyWH+ZJ6g="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-LJlyneLyK36SPm1oSup0YNDxdRSnKWBBYPhAw+6yptw="
+    "hash": "sha256-ILVSu8Yeyzs+kZSJXgXoMD5r66oxUrYoLMntwCVxPVE="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-Qf6S3q/6PJHJOQS/x5egCrko0Gq7QeqNRMleq8wdwuA="
+    "hash": "sha256-Kh4Xqgrwkm5VIQNUyvlhkBScqXdxA/oMJmSvQkZtFcg="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-zPAD+tLIKQeC2sfeDgEiGEst2X5xJ0fvZgdnEFlebjY="
+    "hash": "sha256-59lcHMLRo5deEjrGJtiDpu5xrMI69bBCTsqopkLXAxs="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
-    "hash": "sha256-dnsmlNESI0tIcEQMhrVWdaDC1MH9qvYwjM2lski+RpE="
+    "hash": "sha256-krR9NUP6HKM+SYrdsuP5Ep3tXIFrAetmg4AXpbtnFeE="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-RC4Kmm6tgX9jP//DSgCjKeRV4Hm/GQ5SJuuY5BYeELA="
+    "hash": "sha256-7VL34lq1BlhL4lkvbLWlOAEqKl8UFmoX3e6TSHClO5A="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-O3ZeQQPCrZMcRgNBVE9XcgfMEYUiq+AVUjLZ1q9WlC0="
+    "hash": "sha256-DSajvlPQqXPQ0/i8YfUxaNWKXK8ISqQQ40mg7Tx0umI="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-aJrpUpY59EWefnIENNuO7CKbzVHEYR1jLnsX9J0y5OM="
+    "hash": "sha256-sxZ6TVRwxZkrwzcgtje/YeiTuSEgHISa0+wdCld/lnM="
   },
   "bel-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel-eng_links.tsv.bz2",
@@ -45,15 +45,15 @@     "hash": "sha256-5B5oYEpkYzfIktaVR9yZtNFGAXP2v5+wVgcz+h1EO0c="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-a5IPGnJf/c240/vHUzgAHW6ruaXZGbfC1JE6Xy6ldK0="
+    "hash": "sha256-2O9krWziOGvJxVJbAuLPl7mYGMnkW+lPzFBuCH53Fuc="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-WDyu+NTfSmMFJPSigbVdeV0wOc1MXamSFwwBXUStUbM="
+    "hash": "sha256-amNn/Fgp7SA7jYNGtvK+erRBCULCbOeLQ8s3WJvJGKw="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-FfQRT/KXVWjdOiOCVtIoxMQLOfDnEEJH4Y4/xOqZ71Q="
+    "hash": "sha256-zBVgblVVAV/beSYFx6mrTSxu9TG4nrtgfLwU4HNgvj8="
   },
   "eng-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-bel_links.tsv.bz2",
@@ -61,39 +61,39 @@     "hash": "sha256-tnOHsCoU/nevl0VOfZ+dAEYH61Wgl5wfdSzJdvm7j7s="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-PO/ahxo/2Yo/VgDXrDmYwWet4VHFhmMwQEFw+5H3vsA="
+    "hash": "sha256-Ogmv/dxc5Xuk0nFwBa/B3m1/xvKubDKpNnIVbg+RWmU="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-hoiH2vvtTDK/nqMpuVKvfmWHG3qKGqp4wrM+7QgBQ8Q="
+    "hash": "sha256-AEk76CQWncnbw6IBuhuJ8bTFs0TaMIpPHFUMIyDqpyY="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
-    "hash": "sha256-wqYZOYKP3qT9D+i2s4P742xisO1+qoqqZ/caufdthj0="
+    "hash": "sha256-pY+Fcy8iIjyWhD/eMwVpg7P0G6hFY1nV42lYAAVmQ6A="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-C3uWUsTEdj7eCp12mMivj9m9LUsD6/T9Co3YkxtpgvU="
+    "hash": "sha256-Ych/hf4OqLH0edSYo50gzBotNONbGASLKwbw7j209MI="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
-    "hash": "sha256-s5NzqnBw+qrWDkd4a4dIXEie0Oa19zV9zW6ETMWO0No="
+    "hash": "sha256-G5roVSqnwBJfkIci15Y8GTMZCiQUs9gsXuhOvcR7T5Y="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-y1BqR5/Pv5KnLZDWVEDN0fkd+SGrwYdYBUrWXNgs83M="
+    "hash": "sha256-NUmx9b8/YZiT8GgwdrdcAHUmAlyEXYQET5nv5ANER7c="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-l4xqQB0z2BsDT3mSnF7z9JcUI4FYGdxV09oNx29CVDk="
+    "hash": "sha256-snITECH/BH7MQH9+wM3YZbuG0ip7CpsKDjXR9ZeWEkc="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-bWdf0XRy8ZIQXUiFF1I23+nLRQ5epCixEfIgGDKbzbY="
+    "hash": "sha256-OSUVDyB7zV4FG1dKimBxQ4drMKpSJsslZDV97zsKkPk="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-9w84Nmmyx0Y+B70fxW6s2axI6/SiQlBnuaKTXGJNxzE="
+    "hash": "sha256-TzNIxSrnKr3ST7Gm3UdANZFBR9HUgaYi82sGL9KVoAE="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -101,11 +101,11 @@     "hash": "sha256-4dbyxgjW58TOJmP6PvC/wr3Jc9HAz4JWFKQBK7R62s8="
   },
   "hye-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-eng_links.tsv.bz2",
-    "hash": "sha256-2LXQ8OY1LY+F4znsl8LvDX6bzPkZmKD8NWD4sHMbmK8="
+    "hash": "sha256-QMMDre+mrXqOAUjAts8Rxh4fpgKt3Sn7i6Zag2TfjYI="
   },
   "hye-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-rus_links.tsv.bz2",
-    "hash": "sha256-DW3RzLIeartYtC0HkzMqHV2fbNY/aiZ3FC13rWxQfXY="
+    "hash": "sha256-CeB6QeRtFInTlki06JL7MieOBZvWi76vOcRYwLIhm6Y="
   },
   "rus-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-bel_links.tsv.bz2",
@@ -113,15 +113,15 @@     "hash": "sha256-HnzT3/MoMrPOobHshpbjv5C1cuOJ15GsKnBBxoUffZI="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-5nL1M6T2+v/9/hDHrmi6U0MTw+mA++KvBY/wE6thkSc="
+    "hash": "sha256-OVnmFWYQzxkkPO998pavp91aQl3fgCumTwKCD5T1jz8="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-6O6RYoZHH5M62qcy5nR+UzkUnD5jrAVBAMijldLOgwg="
+    "hash": "sha256-aWcDYO9/JuzGBAp0tvM9hQJyMtKX8dQaT+0Am4nENEc="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-4hrbzDzfvjxvvCKBQP4G/eSoaIr/C0b1ijVf6H8n8mA="
+    "hash": "sha256-Z+ib4sKk4zUhzTJQFM+B++Ap1l0eNzHUgw1RMogPYo8="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -129,7 +129,7 @@     "hash": "sha256-FWw1CWDD/prJeTYM4a4OhUb127fXULgV0cgAZfBrLqU="
   },
   "rus-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-hye_links.tsv.bz2",
-    "hash": "sha256-ZBi6BRpNn4KqbrMzkDGi71WZz6Sn6O9UEzyZzBZvCes="
+    "hash": "sha256-Qirb7t1kYeKkViSiqm/Iranb9cZiC1smtLum1B2uHnE="
   },
   "rus-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-swe_links.tsv.bz2",
@@ -137,11 +137,11 @@     "hash": "sha256-pQMFP3DKI4EjdkQAodLV5F06vvQjZ3BGZpOgH9QZrFw="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-Sfo2z/SFcchEgySg7sgC+v1nSekaR1eEYupRvuN3HTI="
+    "hash": "sha256-ceOCQJDFy/5majT5BtWgXD5x5nB6BkysAA/7P5ndO4k="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
-    "hash": "sha256-H6SaVFRNQGiVfYi3q+5FRf4kWi4jg2u8mjBSByAQ1Vg="
+    "hash": "sha256-AEXXufveAEiiI/vQXhsEyK5Dn4ghS4wdFtOznDMhstA="
   },
   "swe-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-rus_links.tsv.bz2",
@@ -149,10 +149,10 @@     "hash": "sha256-jnm0hXetMfvIt+lhEoJ8dgLL4+ZVs87R+GK2xkDNIvw="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-WHJaWmnZfA8LbPbfqS3NNXibNeUiAg2Ay5N76fSrROU="
+    "hash": "sha256-uHPjaupfroGqpiG4lmC3zRY/iz9it4luX7wZK7DZTAA="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-QykAcitpfUEdIcX9EdldUCJJ7bpD3ZZce+8MGVB8wp0="
+    "hash": "sha256-Lf7hMACgH6A7ZZeLxKkAStkaCl7sde1YHKHtAWkIjc4="
   }
 }