diff --git a/flake.lock b/flake.lock
index 04217ca4006b6da26f43c05f1e96fe06744e559a..632a49cb6953376d4899cc4ffb43d910e096f74b 100644
--- a/flake.lock
+++ b/flake.lock
@@ -5,11 +5,11 @@       "inputs": {
         "systems": "systems"
       },
       "locked": {
-        "lastModified": 1681037374,
-        "narHash": "sha256-XL6X3VGbEFJZDUouv2xpKg2Aljzu/etPLv5e1FPt1q0=",
+        "lastModified": 1681202837,
+        "narHash": "sha256-H+Rh19JDwRtpVPAWp64F+rlEtxUWBAQW28eAi3SRSzg=",
         "owner": "numtide",
         "repo": "flake-utils",
-        "rev": "033b9f258ca96a10e543d4442071f614dc3f8412",
+        "rev": "cfacdce06f30d2b68473a46042957675eebb3401",
         "type": "github"
       },
       "original": {
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1681002951,
-        "narHash": "sha256-nD9fXN7EVKGovtjrXIuA7Si9M6PD9b02GNtvQPTSuOk=",
+        "lastModified": 1681633309,
+        "narHash": "sha256-HvEzKU/ZWGyIt2G+AIEKmMt/ED3P+Tgjw3/BkArti0o=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "431bf1e6cdd494e5230fbb72884afb4ca612c578",
+        "rev": "cb578ff7040066fd1b3f6f087bca796ddbf598b5",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 8902fbfe845602bdd4917d64ad4f69975c6987a8..86d14003c21cbdcc69c25398826fee4582fdd765 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -32,7 +32,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2023-04-08";
+  version = "2023-04-15";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index 2611c3537db5996da59aa1c6eb02a4ff6a3360c5..1919345c19ea077789a641f7739841984312836a 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -1,19 +1,19 @@
 {
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-rvKXkfK4TdBQ4uCf+/sokzqKlCe94phKbprDjpbqBJg="
+    "hash": "sha256-oPOZSFSiHejcUe3v9Gi6HehF31dUPWxEC9W6t49fpnQ="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-M6DuDFXbu5ilm/SA37EpkIv6kHTmkBfMrSre0ffm+nA="
+    "hash": "sha256-PftLHGctNbXxjNkYNL7BD7TPsMXK3afzWpzV8qgEQZw="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-nMrxElU9DtpS9JxMvcBCZlloAtIOIVuhPnYaIbPsVz0="
+    "hash": "sha256-eiyfv7aGeMEbwDFspqrYb8RZQlKrM8TFncQ/tnK62So="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-fhpruGyHvkRWwIv6k3l2qcA8WLqS2JyJnnyAuBj9E5Y="
+    "hash": "sha256-AP4fGHpPrxx8zpdOeeUNzwKoqxH7ejQLbGqK8dfKWz0="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
@@ -21,7 +21,7 @@     "hash": "sha256-BfcibryV0Q4/h+/Oie4201/mv681VjcBtb67LiA5Zig="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-RUolxcrNzsj8ImYEEvlMOsdHpKJvqNWK5eaYM+CEFic="
+    "hash": "sha256-NwYxY94ZEH/RuDO7IfKGaYHO4xmEM4zKbPyOU+nK4Vg="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
@@ -29,27 +29,27 @@     "hash": "sha256-ghrgXJ6ViWIj7ri2iDsFf+kzB/U9XrWWDqM05mQF99s="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-i2eo3oAWEcTbguPkN2/kWkEzf7Uu+UgkWROt1PAQJpU="
+    "hash": "sha256-zcttpncaO2JijlhcKFZt7MgTCqtUPETHWCLXJ3AOnX4="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-ivzWiT+KJsZU1YXowMtfTtV8kEWAslDW7YiT7TBsMcc="
+    "hash": "sha256-l6ib+jmvZ7BVauCHGNlzWZx7dg1yryaIqnvcnPq7OAc="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-qulVTWssYkxKznfS9/0lLxIJjGf/G9Ew9BTDdtpI3P8="
+    "hash": "sha256-LZT22XbsSJYlPRxK8Ht1bRtTO5LAnNWQgrYVqjx4llk="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-vvO++OML5Dux5j0QrQApPrUxul04wXAEPLuRsM1bB6M="
+    "hash": "sha256-sCUTX6XFI2oqlMTOE02dhQDcUHcnhkgqnDX7WbBH6C0="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-XM072q/DYo/9AfhkZyAV3Cy2Jpo8PRhwh83zSYbTWMo="
+    "hash": "sha256-yJp+VGwrd1WjmCkP57Cc6rpZGYlnA7B9uO6zMA6jd3g="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-jXLTKTufA4nDSJNOcV1RVQHVIlUxhN98BVET/GQnTHc="
+    "hash": "sha256-X79ECHzcKkbgfUHYwzKh0muuebnuSdMtFtf/4Qasa7Q="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
@@ -57,7 +57,7 @@     "hash": "sha256-OrRH40TkAzq8xCHAfy4aE8h3QIXzzGim1PnPVN5lYSw="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-ezPzlgH2e3mCENSguFHots+LH3gEcjKcRZiiKliQ1NE="
+    "hash": "sha256-oP+7l1TnJc/GG3vTRc7ssm40jB+9C7eNbhZgtZAQZpY="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
@@ -65,19 +65,19 @@     "hash": "sha256-QR1GqksGOcQrS7hfgrbkw0mzyVnzV14ss9aR0LvDFco="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-VLQ8wDIdt9RW5kFHxAftno2jQlOwDyKrXMlgMoXvMeE="
+    "hash": "sha256-8sv9uH1/7ESvJ/ZTeXDou/fWqSe2+QDQLntCLopJW4o="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-OdEjL+rEX2jLstcXBDslhczQeiQyKdekNSgZNQc1llQ="
+    "hash": "sha256-GV+98gnBCbugwXk4hTbS9Pxia7BPxvXN3bx+bMqlM+g="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-PB4rN1hqTr17PJCoyMNGpMhOQ+qhn0NakBV2ZeTgAWQ="
+    "hash": "sha256-CZBHm+8nqmEF+4qTm0AvzxOeEafUBRsbUZVOSNfxUQM="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-0cDlXJNO2B7SK+76sKgVaW4T0SyDqd/5H9cQPgEHknc="
+    "hash": "sha256-KwHEOtPaHAvojOgaypEpDDD+O5luwCf4tteGekedjTw="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -93,15 +93,15 @@     "hash": "sha256-gyGczyxeyix9Doa2n7LzYnN7QjuGuG3zTI9ahvKkIsE="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-roogHdVcqnm3P1CT/ioQKBaBSz5khtQ16EslGOZAKNg="
+    "hash": "sha256-9VLGHmNSaAQ7hgUZn4CXOO3bTObjV18A9vHrskBOU1E="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-5Ez5VJU1casxjH4LFU4vRR2KgQBtZQCd3iMyvU0V+Ys="
+    "hash": "sha256-CpFrcPb8eH4gdboDRMVRPnDTKpOi7G9caLaLCAwPIgk="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-FJHQ9/i6LAgEGOIrXkgAkJVWdX6SvtIxgq4AZ4inIKY="
+    "hash": "sha256-Wg6kqe/yucFKC2xQdJBWrkJetHkGJvzRmwXN78TJdIg="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -117,7 +117,7 @@     "hash": "sha256-Ofz70X5+Ks2b/AyvSTlJEYwn0l8mgv8a7FuBXSEA26E="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-sMvHqXLzpmSRX/m5x59SuFP4Hsv2Y/+E5mDYhwhLDYY="
+    "hash": "sha256-mLx4bb9Zd59uGtOicVWDIWIV1tSJNenAK5XKMpHHJvo="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
@@ -129,10 +129,10 @@     "hash": "sha256-gEK9bmQBXQ0klazJRN0bYcHWTAKlMLbMw/urZGamECw="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-W09yg5D2ZxfOYhTaVqC5I+Y8BF3PxLTF+rExC68ayWg="
+    "hash": "sha256-/0nHmJpltQNZs/9MvsISzFzsps2YrR7UB19WztkDSUA="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-TVpEEPuVPjsEn81a32v5tm50hXCnuLhE2jkiWxxVeao="
+    "hash": "sha256-NPLeDcs1LRS5LNIJZA9CVlcq7IlkCkW/TkJdduzILDM="
   }
 }